UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMRequest Class Reference

LBM Request class. More...

Inheritance diagram for com.latencybusters.lbm.LBMRequest:

## Public Member Functions
| LBMRequest ()
| Instantiate an LBM Request object.
| LBMRequest (byte[] data, int dataLength)
| Instantiate an LBM Request object. More...
void | close ()
| Close and dispose of this request. More...
byte[] | data ()
| Get request data. More...
int | dataLength ()
| Get request data length. More...
void | data (byte[] data, int dataLength)
| Set request data. More...
void | addResponseCallback (LBMResponseCallback cb)
| Register a callback to be invoked when a response is received for this request. More...
void | addResponseCallback (LBMResponseCallback cb, Object cbArg)
| Register a callback to be invoked when a response is received for this request. More...
void | removeResponseCallback (LBMResponseCallback cb)
| Deregister a request response callback. More...
void | removeResponseCallback (LBMResponseCallback cb, object cbArg)
| Deregister a request response callback. More...
void | setObjectRecycler (LBMObjectRecyclerBase objRec, Object objRecCbArg)
| Set the LBM object recycler that can be used by the context to reuse LBMMessage objects as well as LBM Context/Receiver/Source Statistics objects. More...
void | Dispose ()
| Same as close. More...

## Detailed Description

LBM Request class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMRequest.LBMRequest | ( | byte [] | data,
|  | int | dataLength
| ) |  |

Instantiate an LBM Request object.

Parameters

  data | Data to be sent with the request
  dataLength | Data length

## Member Function Documentation

void com.latencybusters.lbm.LBMRequest.addResponseCallback | ( | LBMResponseCallback | cb | ) |

Register a callback to be invoked when a response is received for this request.

See also
  LBMResponseCallback
  removeResponseCallback

Parameters

  cb | Callback implementing the LBMResponseCallback delegate interface

void com.latencybusters.lbm.LBMRequest.addResponseCallback | ( | LBMResponseCallback | cb,
|  | Object | cbArg
| ) |  |

Register a callback to be invoked when a response is received for this request.

See also
  LBMResponseCallback
  removeResponseCallback

Parameters

  cb | Callback implementing the LBMResponseCallback delegate interface
  cbArg | Callback token object

void com.latencybusters.lbm.LBMRequest.close | ( |  | ) |

Close and dispose of this request.

Warning: It is not safe to call this method from a context thread callback.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

byte [] com.latencybusters.lbm.LBMRequest.data | ( |  | ) |

Get request data.

Returns
  Byte array associated with this request

Referenced by com.latencybusters.lbm.LBMSource.send(), and com.latencybusters.lbm.LBMContext.send().

void com.latencybusters.lbm.LBMRequest.data | ( | byte [] | data,
|  | int | dataLength
| ) |  |

Set request data.

Parameters

  data | Data byte array
  dataLength | Length of data byte array

int com.latencybusters.lbm.LBMRequest.dataLength | ( |  | ) |

Get request data length.

Returns
  Length of data array associated with this request

Referenced by com.latencybusters.lbm.LBMSource.send(), and com.latencybusters.lbm.LBMContext.send().

void com.latencybusters.lbm.LBMRequest.Dispose | ( |  | ) |

Same as close.

See also
  close

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

void com.latencybusters.lbm.LBMRequest.removeResponseCallback | ( | LBMResponseCallback | cb | ) |

Deregister a request response callback.

See also
  LBMResponseCallback
  addResponseCallback

Parameters

  cb | Previously registered callback implementing the LBMResponseCallback delegate interface

void com.latencybusters.lbm.LBMRequest.removeResponseCallback | ( | LBMResponseCallback | cb,
|  | object | cbArg
| ) |  |

Deregister a request response callback.

See also
  LBMResponseCallback
  addResponseCallback

Parameters

  cb | Previously registered callback implementing the LBMResponseCallback delegate interface
  cbArg | Token for previously registered callback

References com.latencybusters.lbm.LBMResponseCallback(), and com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveMessage().

void com.latencybusters.lbm.LBMRequest.setObjectRecycler | ( | LBMObjectRecyclerBase | objRec,
|  | Object | objRecCbArg
| ) |  |

Set the LBM object recycler that can be used by the context to reuse LBMMessage objects as well as LBM Context/Receiver/Source Statistics objects.

Parameters

  objRec | an LBM object recycler that will be called when objects need to be retrieved
  objRecCbArg | a callback object token that will be passed in the retrieve method

The documentation for this class was generated from the following file:

- LBMRequest.cs